Package org.apache.sling.jcr.resource.api

## Class JcrResourceConstants

- java.lang.Object
- - org.apache.sling.jcr.resource.api.JcrResourceConstants

    public class JcrResourceConstants
    extends Object

The `JcrResourceConstants` interface provides constant values.

### Field Summary

Fields
`static String` `AUTHENTICATION_INFO_CREDENTIALS` The name of the property providing the JCR credentials to be used by the resource resolver factory method instead of the `user.name` and `user.password` properties.
`static String` `AUTHENTICATION_INFO_SESSION` The name of the authentication info property containing a JCR Session to which a JCR based resource resolver should provide access.
`static String` `NT_SLING_FOLDER` Constant for the sling:Folder node type
`static String` `NT_SLING_ORDERED_FOLDER` Constant for the sling:OrderedFolder node type
`static String` `SLING_NAMESPACE_URI` The namespace URI used by Sling JCR for items and node types used by Sling (value is "http://sling.apache.org/jcr/sling/1.0").
`static String` `SLING_RESOURCE_SUPER_TYPE_PROPERTY` The name of the JCR Property that defines the resource super type (value is "sling:resourceSuperType").
`static String` `SLING_RESOURCE_TYPE_PROPERTY` Deprecated. Use `ResourceResolver.PROPERTY_RESOURCE_TYPE` instead.

### Constructor Summary

Constructors
`JcrResourceConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SLING_NAMESPACE_URI

    public static final String SLING_NAMESPACE_URI

The namespace URI used by Sling JCR for items and node types used by Sling (value is "http://sling.apache.org/jcr/sling/1.0"). This URI is ensured to be mapped to the Sling namespace prefix sling for any session used by the JCR Resource bundle through the `Sling-Namespaces` bundle manifest header.

See Also:
  Constant Field Values

#### SLING_RESOURCE_TYPE_PROPERTY

    @Deprecated
    public static final String SLING_RESOURCE_TYPE_PROPERTY

Deprecated.
Use `ResourceResolver.PROPERTY_RESOURCE_TYPE` instead.
The name of the JCR Property that defines the resource type of this node (value is "sling:resourceType"). The resource manager implementation of this bundle uses this property to defined the resource type of a loaded resource. If this property does not exist the primary node type is used as the resource type.

See Also:
  Constant Field Values

#### SLING_RESOURCE_SUPER_TYPE_PROPERTY

    public static final String SLING_RESOURCE_SUPER_TYPE_PROPERTY

The name of the JCR Property that defines the resource super type (value is "sling:resourceSuperType"). The resource manager implementation of this bundle uses this property to defined the resource type of a loaded resource. If this property does not exist any non-mixin base type of the the primary node type is used as the resource super type.

See Also:
  Constant Field Values

#### AUTHENTICATION_INFO_CREDENTIALS

    public static final String AUTHENTICATION_INFO_CREDENTIALS

The name of the property providing the JCR credentials to be used by the resource resolver factory method instead of the `user.name` and `user.password` properties. If this propery is provided and set to an object of type `javax.jcr.Credentials` the `user.name` property is ignored.

This property is ignored by the `ResourceResolverFactory.getAdministrativeResourceResolver(java.util.Map)` method or if the authentication info has a `AUTHENTICATION_INFO_SESSION` property set to a `javax.jcr.Session` object.

The type of this property, if present, is `javax.jcr.Credentials`.

Since:
  2.1
See Also:
  `ResourceResolverFactory.getResourceResolver(java.util.Map)`, Constant Field Values

#### AUTHENTICATION_INFO_SESSION

    public static final String AUTHENTICATION_INFO_SESSION

The name of the authentication info property containing a JCR Session to which a JCR based resource resolver should provide access. If this property is set in the authentication info map, all other properties are ignored for the creation of the resource resolver with the exception of the `user.impersonation` which is still respected.

The session provided by as this property and used as the basis of newly created resource resolver must not be logged out before the resource resolver is closed. On the other closing the resource resolver not logout this session.

This property is ignored by the `ResourceResolverFactory.getAdministrativeResourceResolver(java.util.Map)` method.

The type of this property, if present, is `javax.jcr.Session`.

Since:
  2.1
See Also:
  Constant Field Values

#### NT_SLING_FOLDER

    public static final String NT_SLING_FOLDER

Constant for the sling:Folder node type

Since:
  2.2
See Also:
  Constant Field Values

#### NT_SLING_ORDERED_FOLDER

    public static final String NT_SLING_ORDERED_FOLDER

Constant for the sling:OrderedFolder node type

Since:
  2.2
See Also:
  Constant Field Values

### Constructor Detail

#### JcrResourceConstants

    public JcrResourceConstants()